/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

using UnrealBuildTool;

public class InworldCharacter : ModuleRules
{
	public InworldCharacter(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;

		PublicDependencyModuleNames.AddRange(
			new string[]
			{
				"Core",
                "CoreUObject",
                "Engine",
                "InworldRuntime"
            }
        );
		
		PrivateDependencyModuleNames.AddRange(new string[]
		{
			"InworldRuntimeLibrary",
			"AudioCaptureCore",
			"Json",
			"JsonUtilities",
		});

        if (Target.bBuildEditor == true)
        {
            PrivateDependencyModuleNames.Add("UnrealEd");
        }
    }
}
